View Issue Details

IDProjectCategoryLast Update
0021148AI War 2[All Projects] GUIApr 30, 2019 12:56 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.854 Garbage... Collected! 
Fixed in VersionBETA 0.855 Galactic Markings 
Summary0021148: Mouse wheel scrolling (for zoom) is reversed
DescriptionPreviously I would scroll up to zoom in and down to zoom out. It's now reversed.
TagsNo tags attached.

Activities

BadgerBadger

Apr 29, 2019 10:20 am

manager   ~0051443

It might be worth having a setting for which direction to mouse-wheel scroll to zoom in or out

x4000Bughunter

Apr 29, 2019 10:54 am

administrator   ~0051447

Did you have any hardware changes? If not, I'm wondering if this is something that is unity+linux specific. IIRC the scrolling is still fine for me, but I'll check. At any rate, a toggle for the direction would be easy and make sense.

BadgerBadger

Apr 29, 2019 10:59 am

manager   ~0051449

Last edited: Apr 29, 2019 10:59 am

View 2 revisions

Yeah, scrolling wasn't reversed on OSX, only my linux machine.

Toggle for direction is a fine solution. If you wanna tell me which file/class we do the scrolling stuff in then I can get to it later, unless it's that easy for you to do.

x4000Bughunter

Apr 29, 2019 11:02 am

administrator   ~0051450

It should be relatively quick for me to do, and it's in some odd places I'll have to look up. Finding the places will pretty much have the fix as I go.

One question, though: when using your scrollwheel on your linux machine in dropdown lists and other things that have a scrollbar, is that also backwards? The answer may be different for dropdowns versus other kinds of scrollbars.

I can either fix all at once or just the actual game zoom if that's the only thing.

BadgerBadger

Apr 29, 2019 1:39 pm

manager   ~0051459

I think it's also backwards for the dropdown lists.

x4000Bughunter

Apr 30, 2019 12:31 pm

administrator   ~0051466

Turns out this is a bug in the latest version of unity: https://issuetracker.unity3d.com/issues/linux-input-dot-mousescrolldelta-returns-reversed-values-in-linux-player

We can work around it, though, as stated above.

x4000Bughunter

Apr 30, 2019 12:56 pm

administrator   ~0051467

Thanks!

* Added a new "Invert Mouse Zoom" setting in the All Cameras section.
** Normally when you spin the mouse wheel forward, you zoom closer; backwards zooms you away. This lets you flip that functionality. OR, in the case that your hardware or OS is inverted for whatever reason, this lets you correct it to work like everyone else.
** There is a bug in Unity 2019.1 on linux machines that causes mouse scrolling to be inverted, so this lets us work around that: https://issuetracker.unity3d.com/issues/linux-input-dot-mousescrolldelta-returns-reversed-values-in-linux-player
** Note that this won't help with inverted scrolling with dropdowns and other scrolling areas, unfortunately.

Issue History

Date Modified Username Field Change
Apr 26, 2019 8:02 pm BadgerBadger New Issue
Apr 26, 2019 8:02 pm BadgerBadger Status new => assigned
Apr 26, 2019 8:02 pm BadgerBadger Assigned To => x4000Bughunter
Apr 29, 2019 10:20 am BadgerBadger Note Added: 0051443
Apr 29, 2019 10:54 am x4000Bughunter Note Added: 0051447
Apr 29, 2019 10:59 am BadgerBadger Note Added: 0051449
Apr 29, 2019 10:59 am BadgerBadger Note Edited: 0051449 View Revisions
Apr 29, 2019 11:02 am x4000Bughunter Note Added: 0051450
Apr 29, 2019 1:39 pm BadgerBadger Note Added: 0051459
Apr 30, 2019 12:31 pm x4000Bughunter Note Added: 0051466
Apr 30, 2019 12:56 pm x4000Bughunter Status assigned => resolved
Apr 30, 2019 12:56 pm x4000Bughunter Resolution open => fixed
Apr 30, 2019 12:56 pm x4000Bughunter Fixed in Version => BETA 0.855 Galactic Markings
Apr 30, 2019 12:56 pm x4000Bughunter Note Added: 0051467